Hello,
Could some one help me to get the values from prodcut properties window.
sProd_Nom = MyProduct.Nomenclature
sProd_Def = MyProduct.Definition
with this i am getting only 2 but i need description and revision and all.
xpos = oDrwView.Item(i).x----Position based on view
ypos = oDrwView.Item(i).y----Position based on view
H = CurrentText.x---Position based on sheet
V = CurrentText.y---Position based on sheet
VIEW A6-6BEFORE/AFTER MODIFICATION
935.219970703125
350.777282714844
8914-HORIZONTAL...
xpos = oDrwView.Item(i).x
ypos = oDrwView.Item(i).y
this will give the postion of X Y co ordinates of balloons based on view.
H = CurrentText.x
V = CurrentText.y
this i thought this will give postion of Balloon based on sheet but its not happening.
Can you help me to get the postion from the...
Hi,
Thank you for reply.
step 1 position of balloon in view
Yes below is my code i am getting postion of balloon based on view postion
Sub BOMExtract()
Dim CATIA As Object
Dim myselection As Selection
Dim textlist() As String
Dim showstate As CatVisPropertyShow
Dim dblViewScale As Double
Dim...
Yes for drawing sheet we have grid or zone values like horizontal numbers and vertical Leterrs like shown below.
Its STD template so wanted to check if the text or balloon belongs to which Zone like "A1,B2,,," like that.
Hi LWolf,
Yes i tried as you suggested but i am getting only the co ordinates.
Not geeting as i mentined in my question. below is the code updated one.
Need to export the Balloon position like D2 refering with frame values.
For i = 1 To oDrwView.Count
For numtxt = 1 To...
Hello All,
I am getting the Balloon number from the catia V5 drawings but not able to get the postion of the balloon from the draing view.
Below is my code to get the balloon number, Please help me to get the balloon positon from the drawing view.
Dim wb As Workbook, ws As Worksheet
Sub...
Hello All,
I am getting the Balloon number from the catia V5 drawings but not able to get the postion of the balloon from the draing view.
Below is my code to get the balloon number, Please help me to get the balloon positon from the drawing view.
Dim wb As Workbook, ws As Worksheet
Sub...
Hello All,
Could you help me to Delete Useless elements from Geometrical sets in Catia using vba.
Here is my code which is double clicking on above part but need to double click on highlighted part and then click on Tools >> Delete unused elements
If (Mid(MyCurrPN, 18, 4) = "-BGE" Or...
Hello All,
I wanted to remove the broken publication link as shown below.
Written basic to get all publications.
My question is macro listing all publications but it has to list out only broken publication as it was having yellow "!" symbole.
Sub CATMain()
Set CATIA = GetObject(...
Hello All,
I have create below code to change or update the connection file using excel vba,
But its changing path in Connection file but not updating in Connection String.
Could some one please help me to solve this issue.
Sub Update_PivotConnection()
Application.StatusBar = "Macro is...
Hello All,
I have created below VBA macro in excel for CATIA V5 to insert the parts from CADLib and place as per the co ordinates and vectors.
INPUT for macro:
My QUESTION:
Parts are inserting to particular location but not aligning properly.
Please help me to solve this.
Sub CATMain()...
Hi ferdo,
Yes i am able to insert a STD parts from CADLIB, but i am facing issue as its not placing properly with HnF reference. below is my result.
Could you please help me to place properly.
Below is the code to place the STD parts
Sub CATMain()
lastRow = WS.Cells(Rows.Count...
Dear All,
I want insert an STD part inside a product using vba please help me for it.
---First need to create a new product using insert new product name should be (STD_parts)
---After this need call STD parts from the local folder and positioned in a product.
Parts should be place using excel...